'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var types = _ref.types;

  return {
    visitor: {
      ImportDeclaration: function ImportDeclaration(path) {
        if (path.node.source.value !== packageName || !path.node.specifiers.length) {
          return;
        }

        var importSpecifiers = path.node.specifiers.filter(function (spec) {
          return types.isImportSpecifier(spec);
        });

        if (importSpecifiers.length < path.node.specifiers.length) {
          return;
        }

        importSpecifiers.forEach(function (spec) {
          var name = spec.imported.name;

          var modulePath = pkg[name];

          if (!modulePath) {
            throw new Error(packageName + ' does not contain module "' + name + '"');
          }

          var specifiers = [types.importDefaultSpecifier(types.identifier(spec.local.name))];

          path.insertBefore(types.importDeclaration(specifiers, types.stringLiteral(packageName + '/' + modulePath)));
        });

        path.remove();
      }
    }
  };
};

var _utils = require('./utils');

var packageName = 'material-ui';
var pkg = (0, _utils.createPackageMap)(packageName);